Bug 507641 - internal system error when network connection drops
internal system error when network connection drops
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 11:28 EDT by Bastien Nocera
Modified: 2014-01-21 18:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 11:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-06-23 11:28:24 EDT
# Connection dropping whilst making an update on WWAN

gnome-packagekit-2.27.2-0.2.20090414git.fc11.i586

PK internal system error


Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1830, in _runYumTransaction
    rpmDisplay=rpmDisplay)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3609, in processTransaction
    pkgs = self._downloadPackages(callback)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3633, in _downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1387, in downloadPkgs
    cache=po.repo.http_caching != 'none',
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 797, in getPackage
    cache=cache
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 758, in _getFile
    if self.mirrorurls:
AttributeError: 'YumRepository' object has no attribute 'mirrorurls'
Comment 1 seth vidal 2009-08-20 14:45:00 EDT
what ver of yum and urlgrabber?
Comment 2 seth vidal 2009-09-03 11:40:04 EDT
ping?
Comment 3 Bastien Nocera 2009-09-03 12:54:43 EDT
python-urlgrabber-3.0.0-15.fc11.noarch
yum-3.2.23-3.fc11.noarch

I believe.
Comment 4 Juan P. Daza P. 2009-12-08 21:13:22 EST
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update python-urlgrabber yum' or using the graphical updater, Software Update.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-04-27 11:12:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Michal Schmidt 2010-04-29 11:46:33 EDT
This is fixed upstream since commit:

commit 000cbb70422c8f45064425bd7b8f440ec849a97b
Author: James Antill
Date:   Wed Sep 23 10:27:11 2009 -0400

     Don't traceback on baseurl only repos. which have network failures, BZ 5250
    
     We do this by always having a mirrorurls = [] now, which hopefully
    protects future snafu's like this.

The fix is present in Fedora 12 and higher. This bug does not seem too serious, so yum in F-11 will not be updated for it.

Note You need to log in before you can comment on or make changes to this bug.